package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.toolbox;

import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.views.EditableGTSCanvas;
import be.iminds.ilabt.jfed.experimenter_gui.util.ImageUtil;
import javafx.geometry.Point2D;
import javafx.scene.image.Image;

/**
 * User: twalcari
 * Date: 5/21/2015
 * Time: 15:39
 */
public class GTSOFXToolboxItem extends GTSToolboxItem {
    public static final String DEFAULT_IPV4_NETMASK = "255.255.255.0";

    public GTSOFXToolboxItem() {
        super("ofx","OFX",
                new Image(ImageUtil.class.getResource("/images/gts_types/64/gts-ofx.png").toExternalForm()),
                new Image(ImageUtil.class.getResource("/images/gts_types/32/gts-ofx.png").toExternalForm())
                );
    }

    @Override
    public void onAddedToCanvas(EditableGTSCanvas canvas, Point2D location) {
        canvas.getModelEditor().addOFX(location);
    }

    @Override
    public int getWeight() {
        return 1;
    }
}
